# Retrieve Payment

This service can be used to inquire about the transaction status.

## POST /v1/softpos/check\_transaction

> Status Inquiry – check\_transaction

```json
{"openapi":"3.0.3","info":{"title":"PayPOS (Paynet) API","version":"1.0.0"},"tags":[{"name":"SoftPOS"}],"servers":[{"url":"https://api.paynet.com.tr","description":"Production"},{"url":"https://pts-api.paynet.com.tr","description":"Sandbox"}],"paths":{"/v1/softpos/check_transaction":{"post":{"summary":"Status Inquiry – check_transaction","tags":["SoftPOS"],"parameters":[{"name":"Session-Key","in":"header","required":true,"description":"Mobile session key","schema":{"type":"string"}},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckTransactionRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckTransactionResponse"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"description":"Content type.","schema":{"type":"string"}}},"schemas":{"CheckTransactionRequest":{"type":"object","required":["payment_session_id"],"properties":{"payment_session_id":{"type":"string"}}},"CheckTransactionResponse":{"type":"object","properties":{"Data":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}},"object_name":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"}}},"Transaction":{"type":"object","properties":{"xact_id":{"type":"string","description":"Encrypted transaction ID."},"xact_date":{"type":"string","description":"Transaction date."},"transaction_type":{"type":"integer","description":"Transaction type."},"pos_type":{"type":"integer","description":"POS type."},"agent_id":{"type":"string","description":"Merchant ID."},"is_tds":{"type":"boolean","description":"Is TDS applied?"},"bank_id":{"type":"string","description":"Bank code."},"instalment":{"type":"integer","description":"Number of installments."},"card_no":{"type":"string","description":"Card number."},"card_holder":{"type":"string","description":"Cardholder name."},"card_type":{"type":"string","description":"Card type."},"ratio":{"type":"number","description":"Commission rate."},"amount":{"type":"number","description":"Transaction amount."},"netAmount":{"type":"number","description":"Net amount."},"comission":{"type":"number","description":"Commission amount."},"comission_tax":{"type":"number","description":"Commission tax."},"currency":{"type":"string","description":"Currency."},"authorization_code":{"type":"string","description":"Authorization code."},"reference_code":{"type":"string","description":"Reference code."},"order_id":{"type":"string","description":"Order number."},"is_succeed":{"type":"boolean","description":"Is the transaction successful?"},"xact_transaction_id":{"type":"string","description":"Transaction ID."},"email":{"type":"string","description":"Email."},"phone":{"type":"string","description":"Phone number."},"note":{"type":"string","description":"Note."},"agent_reference":{"type":"string","description":"Merchant reference code."},"object_name":{"type":"string","description":"Object type."},"code":{"type":"integer","description":"Result code."},"message":{"type":"string","description":"Result message."}}},"ErrorResponse":{"type":"object","properties":{"object_name":{"type":"string","description":"Object name."},"code":{"type":"integer","description":"Code."},"message":{"type":"string","description":"Message."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/products/paypos-app2app/paypos-app2app-integration/retrieve-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
